package com.zjty.tynotes.weekly.subject.entity.vo;

import com.zjty.tynotes.pas.entity.User;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author gwj
 * @create 2020/4/24 10:21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class SimpleUserVo {

    @ApiModelProperty(value = "id",example = "1")
    private String id;

    @ApiModelProperty(value = "姓名",example = "gwj")
    private String username;

    @ApiModelProperty(value = "电话1",example = "13211111111")
    private String phone1;

    @ApiModelProperty(value = "岗位",example = "后端程序员")
    private String jobs;

    @ApiModelProperty(value = "邮箱",example = "123456789@qq.com")
    private String email;

    public SimpleUserVo(User user) {
        this.id = user.getId();
        this.username = user.getUsername();
        this.phone1 = user.getPhone1();
        this.jobs = user.getJobs();
        this.email = user.getEmail();
    }
}
